View Issue Details

IDProjectCategoryView StatusLast Update
0005532GNUnetcadet servicepublic2019-02-28 11:17
Reporterch3Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005532: gnunet-cadet showing weired information on single peer
DescriptionWhen invoking the gnunet-cadet commandline interface with the -p option, it shows quite a few times the peer ID 0000 after the requested peer:

gnunet-cadet -p DSTJBRRKZ8TBW3FGK6B0M5QXWT9WYNZ45H5MCV4HY7ST64Q8T9F0
Path of length 5: TD7C DSTJ 0000 0000 0000
Path of length 7: GZ32 DSTJ 0000 0000 0000 0000 0000
Path of length 7: TD7C DSTJ 0000 0000 0000 0000 0000
Path of length 3: TD7C DSTJ 0000
Path of length 5: GZ32 DSTJ 0000 0000 0000
Path of length 5: GZ32 DSTJ 0000 0000 0000
Path of length 7: GZ32 DSTJ 0000 0000 0000 0000 0000
Path of length 6: GZ32 DSTJ 0000 0000 0000 0000
Path of length 5: TD7C DSTJ 0000 0000 0000
Path of length 4: TD7C DSTJ 0000 0000
Path of length 3: Y1TA DSTJ 0000
Path of length 8: 4CAM DSTJ 0000 0000 0000 0000 0000 0000
Path of length 2: 7WRD DSTJ
Path of length 4: Y1TA 4CAM DSTJ 0000
Path of length 4: A4MK TD7C DSTJ 0000
Path of length 6: 8672 07H3 DSTJ 0000 0000 0000
Path of length 3: 4CAM Y1TA DSTJ
Path of length 5: WEGY Y1TA DSTJ 0000 0000
Path of length 5: A4MK HAPR DSTJ 0000 0000
Path of length 5: 7WRD HAPR DSTJ 0000 0000
Path of length 10: Y1TA 4CAM DSTJ 0000 0000 0000 0000 0000 0000 0000
Path of length 5: Y1TA 4CAM DSTJ 0000 0000
Path of length 8: BZ3S D9Z5 DSTJ 0000 0000 0000 0000 0000
Path of length 6: A4MK 4CAM DSTJ 0000 0000 0000
Path of length 4: A4MK 4CAM DSTJ 0000
Path of length 5: A4MK Z3G5 DSTJ 0000 0000
Path of length 6: 7WRD Z3G5 DSTJ 0000 0000 0000
Path of length 5: 7WRD Z3G5 DSTJ 0000 0000
Path of length 4: 7WRD ZYSH DSTJ 0000
Path of length 7: SXEC HAPR WEGY DSTJ 0000 0000 0000
Path of length 5: 8672 Y1TA TD7C DSTJ 0000
Path of length 5: TD7C 5WBG Z3G5 DSTJ 0000
Path of length 5: Y1TA 5WBG 4CAM DSTJ 0000
Path of length 5: BZ3S ZKQ3 HAPR DSTJ 0000
Path of length 5: 7WRD Z3G5 HAPR DSTJ 0000
Path of length 9: 8672 4CAM HAPR WEGY DSTJ 0000 0000 0000 0000
Path of length 6: 8672 YV6G 7WRD WEGY DSTJ 0000
Path of length 9: TD7C A4MK HAPR WEGY DSTJ 0000 0000 0000 0000
Path of length 6: WEGY HAPR 7WRD YV6G DSTJ 0000
Path of length 6: 4CAM Y1TA HAPR ZYSH DSTJ 0000
Path of length 8: A4MK 7WRD Z3G5 HAPR DSTJ 0000 0000 0000
Path of length 10: 7WRD 5WBG YV6G HAPR DSTJ 0000 0000 0000 0000 0000
Path of length 11: Y1TA SXEC BZ3S TRJH DSTJ 0000 0000 0000 0000 0000 0000
Path of length 7: 7WRD Z3G5 A4MK CRRD DSTJ 0000 0000
Path of length 7: 7WRD SXEC BZ3S D9Z5 DSTJ 0000 0000
Path of length 7: TD7C 7WRD A4MK HAPR WEGY DSTJ 0000
Path of length 7: HAPR WEGY WST2 BZ3S D9Z5 DSTJ 0000
Path of length 9: TD7C Y1TA 4CAM 5WBG YV6G DSTJ 0000 0000 0000
Path of length 11: Y1TA SXEC MSHN VZZX 07H3 DSTJ 0000 0000 0000 0000 0000
Path of length 8: A4MK 7WRD 5WBG WEGY HAPR DSTJ 0000 0000
Path of length 9: A4MK 7WRD TD7C 5WBG Z3G5 DSTJ 0000 0000 0000
Path of length 11: 8672 4CAM 5WBG 7WRD SXEC HAPR DSTJ 0000 0000 0000 0000
Path of length 12: SXEC 8672 TD7C Y1TA HAPR WEGY DSTJ 0000 0000 0000 0000 0000
Path of length 10: TD7C 5WBG BZ3S 0K25 VZZX 07H3 DSTJ 0000 0000 0000
Path of length 9: Y1TA SXEC BZ3S D9Z5 VZZX 07H3 DSTJ 0000 0000
Path of length 10: SXEC A4MK Z3G5 JB29 C553 5WBG YV6G DSTJ 0000 0000
Path of length 11: YV6G 5WBG WEGY BXFM 0K25 VZZX 07H3 DSTJ 0000 0000 0000
Path of length 12: TD7C HAPR 7WRD SXEC MSHN KDGA HSMG DSTJ 0000 0000 0000 0000
Path of length 11: SXEC BZ3S XQQ8 HAPR 7WRD VZZX 07H3 DSTJ 0000 0000 0000
Path of length 9: 7WRD WEGY Y1TA A4MK YACP 5WBG Z3G5 DSTJ 0000
Path of length 11: A4MK Y1TA 4CAM JB29 C553 VZZX 07H3 DSTJ 0000 0000 0000
Path of length 10: 7WRD WEGY JB29 VZZX XQQ8 A4MK HAPR DSTJ 0000 0000
Path of length 10: A4MK 7WRD Z3G5 BZ3S 0K25 VZZX 07H3 DSTJ 0000 0000
Path of length 12: 7WRD A4MK 4CAM BXFM VWZC VZZX JB29 D9Z5 DSTJ 0000 0000 0000
Steps To ReproduceInvoke gnunet-cadet -p DSTJBRRKZ8TBW3FGK6B0M5QXWT9WYNZ45H5MCV4HY7ST64Q8T9F0
Additional InformationOne reason that I even get the 0000 peer ID might be a local problem. (Another gnunet peer(s) running some test that still have memory issues somehow connecting to my 'real' peer.)
This however should be no excuse why the 0000 ID shows up after the requested peer.
TagsNo tags attached.

Activities

Christian Grothoff

2019-02-12 08:33

manager   ~0013666

I rewrote that logic, can you still reproduce this behavior?

ch3

2019-02-13 15:37

developer   ~0013700

Yes, still the same. On my local machine and on firefly. (Complied just now)

Christian Grothoff

2019-02-13 18:10

manager   ~0013707

Fixed now.

Issue History

Date Modified Username Field Change
2019-01-30 11:08 ch3 New Issue
2019-01-30 11:08 ch3 Status new => assigned
2019-01-30 11:08 ch3 Assigned To => Bart Polot
2019-02-12 08:33 Christian Grothoff Assigned To Bart Polot => ch3
2019-02-12 08:33 Christian Grothoff Status assigned => feedback
2019-02-12 08:33 Christian Grothoff Note Added: 0013666
2019-02-12 08:34 Christian Grothoff Target Version => 0.11.0
2019-02-13 15:37 ch3 Note Added: 0013700
2019-02-13 15:37 ch3 Assigned To ch3 => Christian Grothoff
2019-02-13 16:45 Christian Grothoff Status feedback => assigned
2019-02-13 18:10 Christian Grothoff Status assigned => resolved
2019-02-13 18:10 Christian Grothoff Resolution open => fixed
2019-02-13 18:10 Christian Grothoff Fixed in Version => 0.11.0
2019-02-13 18:10 Christian Grothoff Note Added: 0013707
2019-02-28 11:17 Christian Grothoff Status resolved => closed